//************************************************************************
//  Vivarium Class. 
//    This is the main object that coordinates the update among the
//    creatures of the vivarium.
//************************************************************************
// Comments :
//    This is meant for demonstration. PLEASE plan out your own vivarium
//    creatures, display hierarchy, data structures, etc. No teapots 
//    allowed :).
//
// History :
//    5 Mar 2008. Translated from c code by Tai-Peng Tian. Original by
//    Stan Sclaroff.


import javax.media.opengl.*;
import com.jogamp.opengl.util.*;
import java.util.*;

public class Vivarium
{
  private Tank tank;
  private Butterfly butterfly1;
  private Butterfly butterfly2;

  public Vivarium()
  {
    butterfly1 = new Butterfly(1,1,1);
    butterfly2 = new Butterfly(0,0,0);
    tank = new Tank( 4.0f, 4.0f, 4.0f );
  }

  public void init( GL2 gl )
  {
    butterfly1.init( gl );
    butterfly2.init( gl );
    tank.init( gl );
  }

  public void update( GL2 gl )
  {
    butterfly1.update( gl );
    butterfly2.update( gl );
    tank.update( gl );
  }

  public void draw( GL2 gl )
  {
    butterfly1.draw( gl );
    butterfly2.draw( gl );
    tank.draw( gl );
  }
}
